List campaign actions
Returns the operations in a campaign workflow. Each object in the response represents an action or 'tile' in the campaign builder.
This endpoint returns up to 10 actions at a time. If there is another page of results, the response will include a next string. Pass this string as the start parameter to get the next page of results.
- Type: integercampaign
_id requiredThe ID of the campaign that you want to trigger or return information about.
- Type: stringstart
The token for the page of results you want to return. Responses contain a
nextproperty. Use this property as thestartvalue to return the next page of results.
- application/json
- 400
The
campaignIDoractionIDis invalid. - 404
The campaign and/or action do not exist.
- 429
Your request is over the 10-per-second limit.
curl 'https://api.customer.io/v1/campaigns/3/actions?start=' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"actions": [
{
"id": 96,
"broadcast_id": 2,
"deduplicate_id": "15:1492548073",
"name": "Opening Message",
"layout": "string",
"created": 1552341937,
"updated": 1552341937,
"body": "string",
"type": "email",
"sending_state": "automatic",
"language": "fr",
"from": "sentFrom@example.com",
"from_id": 1,
"reply_to": "replyto@example.com",
"reply_to_id": 38,
"preprocessor": "premailer",
"recipient": "{{customer.email}}",
"subject": "Did you get that thing I sent you?",
"cc": "string",
"bcc": "string",
"fake_bcc": true,
"preheader_text": "string",
"body_amp": "string",
"campaign_id": 5,
"parent_action_id": 1,
"headers": "[{\"name\":\"X-Mailgun-Tag\",\"value\":\"my-cool-tag\"},{\"name\":\"X-Custom-Header\",\"value\":\"custom-value\"}]"
}
],
"next": "string"
}Returns campaign actions. Each object represents an individual action.